<?php
QUnit_Global::includeClass('QCore_Sql_Table');

class QCore_Sql_Table_Users extends QCore_Sql_Table {

    var $columns = array();

    function QCore_Sql_Table_Users() {
        $this->addColumn('userid', WD_PATTERN_DEFAULT);
        $this->addColumn('accountid', WD_PATTERN_DEFAULT);
        $this->addColumn('refid', WD_PATTERN_DEFAULT);
        $this->addColumn('username', WD_PATTERN_DEFAULT);
        $this->setCaption('username', L_G_EMAIL);
        $this->addColumn('rpassword', WD_PATTERN_DEFAULT);
        $this->setCaption('rpassword', L_G_PASSWORD);
        $this->addColumn('rtype', WD_PATTERN_DEFAULT);
        $this->addColumn('name', WD_PATTERN_DEFAULT);
        $this->setCaption('name', L_G_NAME);
        $this->addColumn('surname', WD_PATTERN_DEFAULT);
        $this->setCaption('surname', L_G_SURNAME);
        $this->addColumn('rstatus', WD_PATTERN_DEFAULT);
        $this->addColumn('product', WD_PATTERN_DEFAULT);
        $this->addColumn('dateinserted', WD_PATTERN_DEFAULT);
        $this->addColumn('dateapproved', WD_PATTERN_DEFAULT, false);
        $this->addColumn('deleted', WD_PATTERN_DEFAULT);
        $this->addColumn('userprofileid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('parentuserid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('originalparentid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('leftnumber', WD_PATTERN_DEFAULT, false);
        $this->addColumn('rightnumber', WD_PATTERN_DEFAULT, false);
        $this->addColumn('company_name', WD_PATTERN_DEFAULT, false);
        $this->setCaption('company_name', L_G_COMPANYNAME);
        $this->addColumn('weburl', WD_PATTERN_DEFAULT, false);
        $this->setCaption('weburl', L_G_WEBURL);
        $this->addColumn('street', WD_PATTERN_DEFAULT, false);
        $this->setCaption('street', L_G_STREET);
        $this->addColumn('city', WD_PATTERN_DEFAULT, false);
        $this->setCaption('city', L_G_CITY);
        $this->addColumn('state', WD_PATTERN_DEFAULT, false);
        $this->setCaption('state', L_G_STATE);
        $this->addColumn('country', WD_PATTERN_DEFAULT, false);
        $this->setCaption('country', L_G_COUNTRY);
        $this->addColumn('zipcode', WD_PATTERN_DEFAULT, false);
        $this->setCaption('zipcode', L_G_ZIPCODE);
        $this->addColumn('phone', WD_PATTERN_DEFAULT, false);
        $this->setCaption('phone', L_G_PHONE);
        $this->addColumn('fax', WD_PATTERN_DEFAULT, false);
        $this->setCaption('fax', L_G_FAX);
        $this->addColumn('tax_ssn', WD_PATTERN_DEFAULT, false);
        $this->setCaption('tax_ssn', L_G_TAXSSN);
        $this->addColumn('data1', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data2', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data3', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data4', WD_PATTERN_DEFAULT, false);
        $this->addColumn('data5', WD_PATTERN_DEFAULT, false);
        $this->addColumn('payoptid', WD_PATTERN_DEFAULT, false);                   
        $this->setCaption('payoptid', L_G_PAYOUTMETHOD);
    }
    
    function getTableName() {
        return 'wd_g_users';
    }
        
    function getPkName() {
        return 'userid';
    }    
    
}
?>
